javax.persistence.criteria

## Interface Fetch<Z,X>

Type Parameters:
  `Z` - the source type of the fetch
  `X` - the target type of the fetch

All Superinterfaces:
  FetchParent<Z,X>

    public interface Fetch<Z,X>
    extends FetchParent<Z,X>

Represents a join-fetched association or attribute.

Since:
  Java Persistence 2.0

### Method Summary

All Methods Instance Methods Abstract Methods
`Attribute<? super Z,?>` `getAttribute()` Return the metamodel attribute corresponding to the fetch join.
`JoinType` `getJoinType()` Return the join type used in the fetch join.
`FetchParent<?,Z>` `getParent()` Return the parent of the fetched item.

### Methods inherited from interface javax.persistence.criteria.FetchParent

`fetch, fetch, fetch, fetch, fetch, fetch, getFetches`

### Method Detail

#### getAttribute

    Attribute<? super Z,?> getAttribute()

Return the metamodel attribute corresponding to the fetch join.

Returns:
  metamodel attribute for the join

#### getParent

    FetchParent<?,Z> getParent()

Return the parent of the fetched item.

Returns:
  fetch parent

#### getJoinType

    JoinType getJoinType()

Return the join type used in the fetch join.

Returns:
  join type